%
%exampleFBA
%
% example code to reproduce the results in Table 1 of 
%   K Smallbone, E Simeonidis (2009). Flux balance analysis: 
%   A geometric perspective. J Theor Biol 258: 311-315
%   http://dx.doi.org/10.1016/j.jtbi.2009.01.027
%
% the code is reliant on the COBRA (COnstraint-Based Reconstruction 
% and Analysis) toolbox: http://gcrg.ucsd.edu/Downloads/Cobra_Toolbox
%
%kieran, 20 april 2010

modelID = 'iND750'; % options: iND750, iAF1260, iNJ661

% import as a COBRA model
model = readCbModel(modelID);

% % define LP solver
% changeCobraSolver('glpk');

% solve FBA problem
FBAsolution = optimizeCbModel(model);

% ... and set as lower bound
ind = find(model.c);
if length(ind) == 1
    model.lb(ind) = FBAsolution.f;
%     model.lb(ind) = floor(FBAsolution.f/eps)*eps;
end

% find unique flux
flux = uniqueLP(model);